## org.eclipse.ocl.cst
Interface RealLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS, PrimitiveLiteralExpCS

All Known Implementing Classes:
  RealLiteralExpCSImpl

    public interface RealLiteralExpCS

extends PrimitiveLiteralExpCS

A representation of the model object 'Real Literal Exp CS'.

The following features are supported:

- `Real Symbol`

See Also:
  `CSTPackage.getRealLiteralExpCS()`

Method Summary
`Double` `getRealSymbol()` Returns the value of the 'Real Symbol' attribute
`void` `setRealSymbol(Double value)` Sets the value of the '`Real Symbol`' attribute

Methods inherited from interface org.eclipse.ocl.cst.PrimitiveLiteralExpCS
`getSymbol, setSymbol`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealSymbol

    Double getRealSymbol()

  Returns the value of the 'Real Symbol' attribute.

  If the meaning of the 'Real Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Real Symbol' attribute.
  See Also:
    `setRealSymbol(Double)`, `CSTPackage.getRealLiteralExpCS_RealSymbol()`

### setRealSymbol

    void setRealSymbol(Double value)

  Sets the value of the '`Real Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Real Symbol' attribute.
  See Also:
    `getRealSymbol()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.